Bug 41580 - icon for links is not clear
Summary: icon for links is not clear
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: General (show other bugs)
Version: 6.0.0 (C7)
Hardware: Macintosh Mac OS
: Normal normal
Target Milestone: C7SR1
Assignee: Vsevolod Kukol
URL:
Depends on:
Blocks:
 
Reported: 2016-06-08 04:57 UTC by Rainer Mager
Modified: 2016-07-26 05:37 UTC (History)
3 users (show)

Tags:
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community or GitHub with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
VERIFIED FIXED

Description Rainer Mager 2016-06-08 04:57:23 UTC
If you have a file in a solution that is a link to another file, the icon does not make that clear and the only way to tell is to look at the file's properties to see where it actually exist in the filesystem. This is a regression from previous versions that added a badge to the icon designating it was a link.
Comment 1 Vsevolod Kukol 2016-06-09 10:23:07 UTC
We have fixed a similar issue on master (https://github.com/mono/monodevelop/commit/e5e9798a9952601ca128fa223c724e8511904b13) where the link icon disappeared when the project was under version control. Can you reproduce it without the project being under version control and attach you Ide log and a screenshot (or a sample project)?
Comment 2 xamarin-release-manager 2016-06-09 11:05:37 UTC
Fixed in version 6.0.1.22 (cycle7)

Author: Lluis Sanchez
Commit: dd5b9b96b69ee2ac93ed7e79c4e81d243c4976a9 (mono/monodevelop)
Comment 3 xamarin-release-manager 2016-06-15 18:46:18 UTC
Fixed in version 6.0.2.19 (cycle7-app-insights-rebased)

Author: Lluis Sanchez
Commit: dd5b9b96b69ee2ac93ed7e79c4e81d243c4976a9 (mono/monodevelop)